Change automation template
POST
/api/v3/automations/{automationUniqueId}/actions/change-template
Using the v3 API, which requires a key generated from the company-level, this endpoint allows you to change the active template of an automation.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” automationUniqueId
required
string
Request Body
Section titled “Request Body ”object
items
message
string
total
number
Examples
Example Change automation template
{ "items": null, "message": "Template {templateId} is not active.", "total": 0}object
api
required | When set to true, this endpoint will accept authorization with your API Key.
string
Example
true templateId
required | string | The identifier of the template to set for the automation.
string
Example
abcdefhikResponses
Section titled “ Responses ”200 Success
Media type application/json
object
items
message
string
total
number
Examples
Example 200 Success
{ "items": null, "message": "Automation template has been updated", "total": 0}400 Template not found / 400 Template not active
Media type application/json
object
items
message
string
total
number
Examples
{ "items": null, "message": "Template {templateId} is not active.", "total": 0}{ "items": null, "message": "Template with ID {templateId} not found.", "total": 0}404 Automation not found
Media type application/json
object
items
message
string
total
number
Examples
Example 404 Automation not found
{ "items": null, "message": "RecordNotFoundException — \"Automation with unique ID {uniqueId} not found.\"", "total": 0}422 Automation not in error state
Media type application/json
object
items
message
string
total
number
Examples
Example 422 Automation not in error state
{ "items": null, "message": "Cannot change template for automation {uniqueId}: automation is not in error state.", "total": 0}Still can’t find what you need? Contact support.